
@import url('https://fonts.googleapis.com/css2?family=Shadows+Into+Light&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100..900&display=swap');
html {
    scroll-behavior: smooth;
    /* scroll-snap-type: y proximity;
    scroll-snap-align: start;
    scroll-snap-stop: normal;
    scroll-padding-bottom: 10px; */
}

body {
    /* scroll-snap-align: start;
    scroll-snap-stop: normal; */
    background-color: #000000;
    font-family: "Roboto Slab", serif;
    color: #ffffff;
    padding: 0;
    margin: 0;
}

h1 {
    font-family: 'Shadows Into Light', cursive;
    font-style: normal;
    font-weight: 600;
    color: #ffffff;
    padding: 0;
    margin: 0;
}

#Zitat1 {
    font-family: "Roboto Slab", serif;
    position: relative;

}

#nav-title h1, #parallax1 h1 {
    text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
}

body, html {
    height: 100%;

}

.songs {
    text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
    position: relative;
    padding-bottom: 1vw;
    padding-left: 5vw;
    padding-right: 5vw;
    /* bottom: 15vh; */
}

.audioblock {
    position: relative;
    bottom: 30px;
}

.titel {
    position: relative;
    font-size: 14pt;
    top: 10px;
    left: 45px;
}

/*Transparenz für Audiowrap*/
.wrap-audio-p5 {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
}


h1 {
    padding-top: 20px;
    padding-bottom: 20px;
    /* display: block;
    top: 0px;
    position: fixed;
    margin: 0;*/
}

#nav-title {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}
#nav-title h1{
    z-index: 0;
    position: fixed;
    top: 45%;
    left: 30%;
    transform: translate(-50%, -50%);
    transition: transform 0.5s ease-in-out;
}

/*Bildergalerie Crossfade Start*/
.captures {
    position: absolute;
    text-align: center;
    height: auto;
    opacity: 0;
    transition: opacity 1s ease;
    background-color: transparent;
    border-radius: 0px 0px 0px 0px;
    padding: 0px;
}


.slider-container {
    margin: auto;
    padding: 0;
    border: 0;
    z-index: 0;
    background-color: black;
    position: relative;
    display: block;
}

.images {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    opacity: 0;
    transition: opacity 1s ease;
    cursor: pointer;
    width: 100%;
    height: 100%;
    object-fit: contain; /* maintain aspect ratio */
}


#parallax5 .textblock {
    flex-direction: column;
    padding: 0;
}

/*Bildergalerie Crossfade Ende*/
@media screen and (min-width: 900px) {

    /* html {
        scroll-padding-top: 80px;
    } */

    p {
        font-size: 14pt;
    }


    
    h1 {
        font-size: 24pt;
    }

    .captures {
        font-size: 18pt;
        top: 22vh;
        left: 56vw;
    }

    .slider-container {
        width: 60vw;
        height: 60vh;
    }

    .video {
        z-index: 0;
        width: 50vw;
        padding-right: 5vw;
        padding-left: 5vw;
    }

    video {
        width: 50vw;
    }

    .textblock {
        width: 50vw;
    }

    .textblock.show {
        width: 50vw;
    }

    p {
        padding: 35px;
    }

    p.show {
        padding: 35px;
    }

    .parallax {
        flex-direction: row;
    }

    .parallax:nth-child(even) {
        flex-direction: row-reverse;
    }

    #parallax5 {
        flex-direction: column;
    }

    .arrow {
        width: 5vw;
    }

    audio {
        width: 20vw;
        height: 40px;
        padding: 2vw;
    }

    /* #container {
        height: 100%;
    } */
    .wrap-audio-p5 {
        padding: 35px;
    }

    .einzelbilder {
        flex-direction: row; /* Change to column to stack items vertically */
        width: 30vw;
    }

    .zgallery-image.zgallery-image-forward {
        width: 50vw;
        transform: translateZ(-70vw);
    }

    .zgallery-image {
        width: 50vw;
    }

    .zgallery {
        perspective: 50vw;
    }
}

@media screen and (max-width: 900px) {

    /* html {
        scroll-padding-top: 120px;
    } */

    p {
        font-size: 11pt;
    }

    h1 {
        font-size: 11pt;
    }

    .captures {
        font-size: 14pt;
        padding-top: 2vh;
        top: 57vh;
        left: 2vw;
    }

    .slider-container {
        width: 80vw;
        height: 80vh;
    }

    .video {
        z-index: 0;
        width: 90vw;
    }

    video {
        width: 90vw;
    }

    .textblock {
        width: 95vw;
    }

    .textblock.show {
        width: 95vw;
    }

    p {
        padding: 15px;
    }

    p.show {
        padding: 15px;
    }

    .parallax {
        flex-direction: column;
    }

    .arrow {
        width: 5vw;
    }

    audio {
        width: 50vw;
        height: 40px;
        padding: 2vw;
    }
    /* #container {
        height: 50%;
    } */

    .wrap-audio-p5 {
        padding: 15px;
    }

    .einzelbilder {
        flex-direction: column; /* Change to column to stack items vertically */
        width: 70vw;
    }

    .zgallery-image.zgallery-image-forward {
        width: 90vw;
        transform: translateZ(-90vw);
    }

    .zgallery-image {
        width: 90vw;
    }

    .zgallery {
        perspective: 90vw;
    }
}


main {
    display: block;
    position: relative;
    width: 100%;
    margin: auto;
}

/* div {
    scroll-snap-align: start;
} */

#parallax-container{
    z-index: 0;
    top: 40vw;
}

.parallax {
    /* Set a specific height */
    min-height: 100vh; 

    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}

#parallax1 {
    background-image: url('../img/Chile.jpg');
}
#parallax2 {
    background-image: url('../img/Dabu_Schulhausstrasse.jpg');
}
#parallax3 {
    background-image: url('../img/statue.jpg');
}
#parallax4 {
    background-color: black;
    background-size: contain;
}
#parallax5 {
    background-image: url('../img/Dabu_Mehrzweck.jpg');
}
#parallax6 {
    background-image: url('../img/Dbau_Bleicher.jpg');
}
#parallax7 {
    background-image: url('../img/Konzert\ Still.jpg');
}
#parallax8 {
    background-image: url('../img/Dabu_Mehrzweck.jpg');
}
#parallax9 {
    background-image: url('../img/Dabu_Rietwis.jpg');
}
#parallax10 {
    background-image: url('../img/DF_Mönchaltdorf_Show-12.jpg');
}
#parallax11 {
    background-image: url('../img/DF_Mönchaltdorf_Show-7.jpg');
}
#parallax12 {
    background-image: url('../img/Dabu_Rietwis.jpg');
}
#parallax13 {
    background-image: url('../img/Quartier_H.jpg');
}
#parallax14 {
    background-image: url('../img/Quartier_H.jpg');
    flex-direction: column;
}
#parallax15 {
    background-image: url('../img/Gemeinschaftszentrum.jpg');
}
#parallax16 {
    background-image: url('../img/Gemeinschaftszentrum.jpg');
}
#parallax17 {
    background-image: url('../img/Garage_Heugarten.jpg');
}
#parallax18 {
    background-image: url('../img/Chile.jpg');
}
#parallax19 {
    background-image: url('../img/Dabu_Rietwis.jpg');
}
#parallax20 {
    background-image: url('../img/Dabu_Rietwis.jpg');
}
#parallax21 {
    background-image: url('../img//DF_Mönchaltdorf_Show-4.jpg');
}
/*Alle Elemente mit dieser Klasse haben die opacity 0 und erscheinen mit einer Übergangszeit von 2 Sekunden.*/
.textblock {
    display: flex;
    position: relative;
    opacity: 0;
    border: none;
    transition: all 1.5s;
    transition-delay: 0.25s;
    transition-timing-function: ease;
    z-index: 0;
    border: none;
    justify-content: center;
    align-items: center;
    top: 40vh; /*Immer plus 75vh ohne .show*/
    left: 0;
    right: 0;
    bottom: 0;
}

/*Sobald die Elemente mit class = 'text' sichtbar sind, wechselt die opacity zu 1.*/
.textblock.show {
    display: flex;
    position: relative;
    z-index: 0;
    opacity: 1;
    border: none;
    justify-content: center;
    align-items: center;
    padding:  25px;
    top: 0vh;
    left: 0;
    right: 0;
    bottom: 0;
}

.text {
    margin-left: 0px;
}

p {
    opacity: 0;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    transition: all 1.5s;
    transition-delay: 0.25s;
    transition-timing-function: ease;
}

p.show {
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 20px;
    transition: all 1.5s;
    transition-delay: 0.25s;
    transition-timing-function: ease;
}

#arrow_up img {
    width: 11vw;
    display: block;
    margin: auto;
}

.einzelbilder {
    display: flex;
    position: relative;
    justify-content: center;
    align-items: center; /* This centers the items vertically */
    /* z-index: 0; */
    height: 80vh; /* Set the height to 100% of the viewport height */
}

.einzelbilder img {
    width: 100%;
    height: auto;
    object-fit: contain;
    margin: 10px;
}

.einzelbilder p {
    position: relative;
    /* z-index: 1; */
    color: white;
    /* margin: 10px; */
}

/* .bilder_wrap {
    position: relative;
    flex-direction: column;
} */
/*Start Forschrittsbalken*/
/* .scroll-watcher {
    height: 0.7vh;
    position: fixed;
    top: 0;
    z-index: 1000;
    width: 100%;
    background-color: white;
    scale: 0 1;
    transform-origin: left;
    animation: scroll-watcher linear;
    animation-timeline: scroll();
}

@keyframes scroll-watcher {
    to {
        scale: 1 1;
    }
} */
/*Ende Forschrittsbalken*/

/*Start Canvas*/
#container {
    display: flex;
    position: relative;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: transform 0.1s ease-in-out;
  }

  @keyframes bounce {
    0%, 100% {
        transform: translateY(-50%);
    }
    50% {
        transform: translateY(-60%);
    }
}

  .arrow {
    /* width: 5vw; */
    position: absolute;
    top: 90%;
    transform: translateY(-50%);
    animation: bounce 1s infinite ease-in-out;
}
  
  #box {
    width: 100%;
    /* height: 100%; */
    position: relative;
    transition: transform 0.1s ease-in-out;
    object-fit: contain;
    /* z-index: 0; */
  }

/*3D scene Start*/
.zgallery-image {
    cursor: pointer;
    position: absolute;
    transition: transform 1s ease-in-out, opacity 0.5s ease-in-out 0.5s;
    transform: translateZ(0vw);
    /* width: 70vw; */
    opacity: 0;
}

.zgallery-image.zgallery-image-forward {
    /* transform: translateZ(-90vw); */
    /* width: 70vw; */
    opacity: 1;
}

.zgallery {
    /* perspective: 70vw; */
    display: flex;
    justify-content: center;
    align-items: center;
    scroll-behavior: smooth;
}
/* Ende CSS */